Subject: RE: Retransmissions without explanation

From: Mittal Monani <[email-masked]>
Date: Tue, 25 May 1999 11:10:23 -0400

Where exactly did you find the Intelsat App Note? Could you 
post the URL please?

-----Original Message-----
From: ed [mailto:[email-masked]]
Sent: Wednesday, May 19, 1999 5:36 AM
To: Jaques Rechtand; [email-masked]
Subject: Re: Retransmissions without explanation

----- Original Message -----
From: Jaques Rechtand <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, May 18, 1999 6:46 PM
Subject: Retransmissions without explanation

>
>  Dear friends;
>
>   We were making some FTP transfers between a Sun and a NT machine through
a
> satellite link simulator, with a round trip delay of about 600 msec
through
> a 256 Kbps link. This application runs in our network (really through
> satellite) and it is too slow. That's why we tried to simulate it to
better
> diagnose the problem.
>
>   We were monitoring the transfer with a LAN Analyzer, and we saw a
message
> reporting excessive retransmissions. We looked at the traces, and found
that
> the Sun was periodically retransmitting some packets. There was no packet
> discard in the routers, no CRC errors, and no TCP segment asking for
> retransmission (with an already acknowledged ACK). So, we concluded that
the
> retransmission timeout was expiring at the Sun. We were surprised, because
> the RTO for TCP should be dinamically adjusted to reflect the round trip
> delay of the link.
>  Searching in the Internet, we found an App Note :"Internet Performance on
a
> Satellite Link", from Intelsat, that said that at the Sun there was a
> parameter for minimum retransmit time, and that the protocol periodically
> resets the RTO to this minimum, causing some retransmits. We found that
> there is a parameter called tcp_rxmit_interval_min that was defaulted to
200
> msec. We changed this parameter to 600 msec and the retransmissions
> disappeared.
>
>  We have some questions :
>
> - Is it normal for the RTO to periodically reset to its minimum value ?
> - Is there any available specification of the algoritm that calculates the
> RTO, that is used by the implementors ?
>
>  Then we tried to do an ftp, transfering a file from the NT to the Sun,
and
> the problem still happened in that direction. We didn't find any parameter
> equivalent to the parameter in the Sun to configure in the NT or 95 .
>
> - Do you know if the problem in the NT is the same as in the Sun?
> - Do you know how can we change it in the NT ? We looked at the parameters
> in the registry and didn't find anyone.
>
>  Any help is welcome.
>
>
>  Best Regards,
>
>             Jaques Rechtand
>             VICOM S.A.
>             System Engineer
>             Tel : 55-21-5366136
>             Fax : 55-21-5366149
>             e-mail : [email-masked]